Available in Classic and VPC
Delete an unused category. It can only be deleted if there are no templates or subcategories under it.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| DELETE | /category/{categorySid} |
Request headers
For information about the headers common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
categorySid |
Integer | Required | SID of the category to delete |
Request example
The following is a sample request.
curl --location --request DELETE 'https://mail.apigw.ntruss.com/api/v1/category/256' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response body
The following describes the response body.
| Field | Type | Required | Description |
|---|---|---|---|
sid |
Integer | - | SID of the deleted category |
parentSid |
Integer | - | SID of the parent category |
name |
String | - | Name of the deleted category |
Response status codes
For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer response status codes.
Response example
The following is a sample response.
{
"sid": 256,
"parentSid": 252,
"name": "testCategory"
}